Skip to main content
Update Quote Version Prices

Authorizations

Authorization
string
header
required

SuperOffice username:password are passed in Base64-encoded.

You can also pass inn an unencoded ticket 7T:abc== with the HTTP Authenticate header.

Authorization
string
header
required

SuperOffice SuperId OAuth implicit flow. You need to issue a request to the SuperId authorization URL https://online.superoffice.com/login/common/oauth/authorize?response_type=token &client_id=670734e0-4c5a-11e3-be9e-a171392e81db &redirect_uri=https://example.com/spa/

passing in the application id and redirect URL.

SuperId will log the user in, and redirect to the requested redirect URL with a #payload containing the access token and claims. (The redirect URL must be registered with SuperId in advance)

https://example.com/spa#access_token=8A%3aCust12227.AXRrCITpPBvQX3UbIohb &token_type=bearer &state= &expires_in=3600 &ctx=Cust12227 &netserver_url=https%3a%2f%2fsod.superoffice.com%2fCust12227%2fRemote%2fServices82%2f

You can take the #access_token value and pass it as the Authenticate HTTP header as a BEARER token.

FlowImplicit
Authorization URL
https://online.superoffice.com/login/common/oauth/authorize

Headers

Accept-Language
string

Convert string references and multi-language values into a specified language (iso2) code.

SO-Language
string

Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.

SO-Culture
string

Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.

SO-TimeZone
string

Specify the timezone code that you would like date/time responses converted to.

SO-AppToken
string

The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Query Parameters

$select
string

Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields.

Body

QuoteVersionId

UpdateQuoteVersionPrices: Update price on the all the quotelines for each alternative in the current quote version

QuoteVersionId
integer<int32>

Response

OK

The QuoteVersionValidated is returned after a call to ValidateQuoteAlternative. It contains flags indicating changes to quote, quoteversion/quotealternative and quotelines. Carrier object for QuoteVersionValidated. Services for the QuoteVersionValidated Carrier is available from the Quote Agent.

IsOk
boolean

Answer to the question / An indication if the operation went well. Equivalent to Status != Error.

UserExplanation
string

A localized explanation to the answer.

TechExplanation
string

Always in English

ErrorCode
string

An error code, if available.

ChangedSale
object

Carrier object for Sale. Services for the Sale Carrier is available from the Sale Agent.

ChangedQuote
object

Quote carrier with the active quote version and favorite alternative. Carrier object for Quote. Services for the Quote Carrier is available from the Quote Agent.

ChangedQuoteVersion
object

Information about a version of the . Carrier object for QuoteVersion. Services for the QuoteVersion Carrier is available from the Quote Agent.

ChangedQuoteAlternatives
object[]

The changed QuoteAlternatives

Status
enum<string>

QuoteStatus = Ok / OkWithInfo / Warn / Error. Error implies IsOk = false.

Available options:
Ok,
OkWithInfo,
Warning,
Error
TableRight
object

Wraps a table right together with an explanatory reason. Code can indicate why access is restricted.

FieldProperties
object

Field property dictionary mapping field names to field access rights.